//
//  IWangDing.h
//  SCSP
//
//  Created by maoyuxiang on 2019/4/8.
//  Copyright © 2019年 iwangding. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@interface IWangDing : NSObject

+ (IWangDing *)shareInstance;

/**
 开发者ID
 */
@property(copy, nonatomic, readonly) NSString *key;

/**
 商家ID
 */
@property(copy, nonatomic, readonly) NSString *spid;

/**
 提速服务用户ID
 */
@property(copy, nonatomic, readonly) NSString *uid;

/**
 是否打开log信息
 */
@property(assign, nonatomic) BOOL isLoggable;

/**
 SDK的初始化注册接口

 @param key 开发者ID
 @param spid 商家ID
 @param uid 提速服务用户ID
 */
- (void)registerWithKey:(NSString *)key spid:(NSString *)spid uid:(NSString *)uid;

/**
 获得framework版本

 @return framework版本
 */
- (NSString *)version;


@end

NS_ASSUME_NONNULL_END
