//
//  WDPingResult.h
//  IWangDingSDK_SCSP
//
//  Created by maoyuxiang on 2019/4/9.
//  Copyright © 2019年 iwangding. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@interface WDPingResult : NSObject

/** Ping地址*/
@property(copy, nonatomic) NSString *host;
/** 发包总数*/
@property(assign, nonatomic) NSInteger totalNum;
/** 首包响应时延（ms）*/
@property(assign, nonatomic) CGFloat firstDelayTime;
/** 最小时延（ms）*/
@property(assign, nonatomic) CGFloat minDelayTime;
/** 最大时延（ms）*/
@property(assign, nonatomic) CGFloat maxDelayTime;
/** 平均时延（ms）*/
@property(assign, nonatomic) CGFloat avgDelayTime;
/** 丢包次数*/
@property(assign, nonatomic) NSInteger lostNum;
/** 丢包率 */
@property(assign, nonatomic) CGFloat lostRate;
/** 失败次数*/
@property(assign, nonatomic) NSInteger failedNum;
/** 抖动 （ms） */
@property(assign, nonatomic) CGFloat shake;
/** 提示信息*/
@property(copy, nonatomic) NSString *message;

@end

NS_ASSUME_NONNULL_END
