//
//  WDTraceRouteResult.h
//  IWangDingSDK_SCSP
//
//  Created by maoyuxiang on 2019/4/19.
//  Copyright © 2019年 iwangding. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN
@class WDTraceRouteItem;

@interface WDTraceRouteResult : NSObject
/** 总时间*/
@property(assign, nonatomic) double totalTime;
/** 平均每跳时间（单位：ms)*/
@property(assign, nonatomic) double avgTime;
/** 跳数*/
@property(assign, nonatomic) NSInteger hops;
/** 目标地址*/
@property(copy, nonatomic) NSString *host;
/** 提示信息*/
@property(copy, nonatomic) NSString *message;
/** 每跳的具体信息*/
@property(strong, nonatomic) NSMutableArray<WDTraceRouteItem *> *items;

@end

@interface WDTraceRouteItem: NSObject

/** 路由地址*/
@property(copy, nonatomic) NSString *host;
/** 到达该节点所花时间（单位：ms)*/
@property(assign, nonatomic) double spendTime;
/** 状态信息*/
@property(copy, nonatomic) NSString *state;

@end

NS_ASSUME_NONNULL_END
